Allow use of new InterwikiSorting configs instead of Wikibase configs
Closed, ResolvedPublic

Description

Until the InterwikiSorting extension is deployed and to help with transition, we should change the configs used in Wikibase for interwiki sorting from $wgWBClientSettings to InterwikiSorting variables.

Furthermore, the extra sorting orders should be defined in mediawiki-config and the default in Wikibase / InterwikiSorting is alphabetical sorting by interwiki code.

aude created this task.Nov 25 2016, 8:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2016, 8:34 PM

Change 323553 had a related patch set uploaded (by Aude):
Split InterwikiSorting hook handlers from ParserOutputUpdateHookHandlers

https://gerrit.wikimedia.org/r/323553

aude claimed this task.Nov 25 2016, 8:41 PM
aude added a project: Wikidata-Sprint.
aude moved this task from Proposed to Review on the Wikidata-Sprint board.
aude renamed this task from Switch to using InterwikiSorting configs instead of Wikibase configs to Allow use of new InterwikiSorting configs instead of Wikibase configs.Nov 28 2016, 2:33 PM

Change 323553 merged by jenkins-bot:
Split InterwikiSorting hook handlers from ParserOutputUpdateHookHandlers

https://gerrit.wikimedia.org/r/323553

Jonas moved this task from Review to Done on the Wikidata-Sprint board.Dec 19 2016, 11:39 AM
thiemowmde triaged this task as Low priority.
thiemowmde added a subscriber: thiemowmde.

@aude, the only patch assigned to this is merged. But the task descriptions sounds like this needs more steps, or the dependencies on other tickets are missing. Can you please link the relevant ticket dependencies and close this ticket if you think it's done?

aude closed this task as Resolved.Mar 8 2017, 2:20 PM

now we are in process of deploying InterwikiSorting.